# Retrieve Consents Using the API
source: https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/retrieve/index.md

After a card is enrolled, you can retrieve the consents associated with that card to confirm enrollment status or display consent details to the cardholder.

The following sequence shows the retrieve consent flow:
Diagram retrieveconsent

1. Your service calls the `consents/{card_ref}` endpoint, passing the `cardReference` received during enrollment:
   API Reference: `GET /consents/{card_ref}`

2. The Consent Management \& Enrollment API returns all consents associated with the specified card. If the card reference is not found, the API returns a `404` error.

## Next Steps {#next-steps}

* To revoke consent for a card, see [Delete Consent](https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/delete/index.md).
* To learn how to enroll a card, see [Enrollment](https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/enroll/index.md).
